.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.main {
    flex-grow: 1;
    padding-top: rem(24);
    padding-bottom: rem(122);

    &--md {
        padding-bottom: rem(24);
        display: flex;
        flex-direction: column;
    }

    &__container {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__block {
        flex-grow: 1;
        padding: rem(16);
        background: white;
        border-radius: rem(22);
    }

    &__center {
        margin: auto 0;
    }

    &__wrap {
        padding: rem(40) 0;
    }

    @include media-breakpoint-up(xl) {

        &__container {
            max-width: rem(952);
        }
    }
}

.swiper {
    width: 100%;
    height: 100%;
}

.game-container {
    display: flex;
    flex-direction: column;
    row-gap: rem(16);

    @include media-breakpoint-up(md) {
        row-gap: rem(24);
    }
}

.info-bar {
    left: 0;
    right: 0;
    bottom: rem(56);
    background: white;
    z-index: 500;
    position: fixed;
    padding-bottom: 2px;
    border-radius: rem(20) rem(20) 0 0;

    &__main {
        height: rem(24);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__group {
        display: flex;
        align-items: center;
        column-gap: rem(6);
    }

    &__progress {
        color: var(--gray);
        white-space: nowrap;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(14);
        font-family: var(--font-secondary);

        strong {
            font-weight: 500;
            color: var(--black);
        }
    }

    &__timer {
        color: var(--black);
        white-space: nowrap;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(14);

        font-family: var(--font-secondary);
    }

    &__label {
        white-space: nowrap;
        font-size: rem(11);
        line-height: rem(12);
        letter-spacing: -0.5px;
    }

    &__scale {
        left: 0;
        right: 0;
        bottom: 0;
        height: 2px;
        position: absolute;
        background: var(--gray-300);

        span {
            top: 0;
            left: 0;
            bottom: 0;
            display: block;
            position: absolute;
            background: var(--green);
            transition: .3s;
        }
    }

    &__pie {
        display: none;
        flex-shrink: 0;
        position: relative;
    }

    &__circle {
        display: none;
        flex-shrink: 0;
        position: relative;
    }

    @include media-breakpoint-up(lg) {
        bottom: rem(30);
        background: transparent;

        &__scale {
            display: none;
        }

        &__main {
            background: white;
            height: rem(56);
            border-radius: rem(30);
            padding-left: rem(24);
            padding-right: rem(24);
        }

        &__group {
            column-gap: rem(16);
        }

        &__label {
            font-size: rem(16);
            line-height: rem(20);
            letter-spacing: 0;
        }

        &__progress {
            top: -2px;
            position: relative;
            font-size: rem(21);
            line-height: rem(36);
        }

        &__timer {
            top: -2px;
            font-size: rem(21);
            line-height: rem(36);
            position: relative;
        }

        &__circle {
            display: block;
            width: 40px;
            height: 40px;
        }
    }
}

.circle-bar {
    width: 40px;
    height: 40px;
    position: relative;

    &__progress {
        top: 0;
        left: 0;
        width: 40px;
        height: 40px;
        position: absolute;
        transform-origin: center;
        transform: rotate(-90deg);
    }
}

.progress-ring__circle {
}

.statistics-media {
    margin: 0 auto;
    width: 100%;
    max-width: rem(536);

    &__image {
        max-width: rem(367);
        margin: 0 auto;
    }

    &__text {
        text-align: center;
        margin-top: rem(36);
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(24);
        font-family: var(--font-secondary);
    }
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
